Begin Telegram integration setup — issues a one-time setup code the user enters into the bot.
POST
/integration/telegram/start
const url = 'https://api.siteqwality.com/integration/telegram/start';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/integration/telegram/start \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Telegram setup state created
Media type application/json
object
id
required
string format: uuid
created_at
required
string format: date-time
account_id
required
string format: uuid
setup_code
required
string
chat_id
integer | null format: int64
expires_at
required
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created_at": "2026-04-15T12:00:00Z", "account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "setup_code": "example", "chat_id": 1, "expires_at": "2026-04-15T12:00:00Z"}Missing or invalid authentication
Internal server error